OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class ConnectionConfig

    java.lang.Object
      org.opennms.netmgt.capsd.ConnectionConfig

Direct Known Subclasses:
  DominoIIOPPlugin.DominoConnectionConfig

public class ConnectionConfig
extends java.lang.Object

Author:
  brozow TODO Need to javadoc this class

Field Summary
`(package private) java.net.InetAddress` `m_inetAddress`
`(package private) int` `m_port`
`(package private) java.util.Map` `m_qualifiers`
`(package private) int` `m_retry`
`(package private) int` `m_timeout`

Constructor Summary
`ConnectionConfig(java.net.InetAddress address, int port)`
`ConnectionConfig(java.net.InetAddress inetAddress, int port, int timeout, int retry)`
`ConnectionConfig(java.net.InetAddress inetAddress, java.util.Map qualifiers, int port, int timeout, int retry)`

Method Summary
`java.net.InetAddress` `getInetAddress()`
`int` `getKeyedInteger(java.lang.String key, int defaultVal)`
`java.lang.String` `getKeyedString(java.lang.String key, java.lang.String defaultVal)`
`int` `getPort()`
`int` `getRetry()`
`java.net.InetSocketAddress` `getSocketAddress()`
`int` `getTimeout()`
`void` `saveKeyedInteger(java.lang.String key, int value)`
`void` `setInetAddress(java.net.InetAddress inetAddress)`
`void` `setQualifiers(java.util.Map qualifiers)`
`void` `setRetry(int retry)`
`void` `setTimeout(int timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_inetAddress

    java.net.InetAddress m_inetAddress

### m_qualifiers

    java.util.Map m_qualifiers

### m_port

    int m_port

### m_timeout

    int m_timeout

### m_retry

    int m_retry

Constructor Detail

### ConnectionConfig

    public ConnectionConfig(java.net.InetAddress inetAddress,
                            java.util.Map qualifiers,
                            int port,
                            int timeout,
                            int retry)

Parameters:
  `qualifiers` -

### ConnectionConfig

    public ConnectionConfig(java.net.InetAddress address,
                            int port)

### ConnectionConfig

    public ConnectionConfig(java.net.InetAddress inetAddress,
                            int port,
                            int timeout,
                            int retry)

Method Detail

### getSocketAddress

    public java.net.InetSocketAddress getSocketAddress()

### setQualifiers

    public void setQualifiers(java.util.Map qualifiers)

### getInetAddress

    public java.net.InetAddress getInetAddress()

  Returns:
    Returns the address.

### setInetAddress

    public void setInetAddress(java.net.InetAddress inetAddress)

  Parameters:
    `inetAddress` - The inetAddresss to set.

### getKeyedInteger

    public int getKeyedInteger(java.lang.String key,
                               int defaultVal)

### getKeyedString

    public java.lang.String getKeyedString(java.lang.String key,
                                           java.lang.String defaultVal)

### saveKeyedInteger

    public void saveKeyedInteger(java.lang.String key,
                                 int value)

### getPort

    public int getPort()

  Returns:
    Returns the port.

### getRetry

    public int getRetry()

  Returns:
    Returns the retries.

### setRetry

    public void setRetry(int retry)

  Parameters:
    `retry` - The retries to set.

### getTimeout

    public int getTimeout()

  Returns:
    Returns the timeout.

### setTimeout

    public void setTimeout(int timeout)

  Parameters:
    `timeout` - The timeout to set.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.